Commit 4a6970d6 authored by Andreas Sturmlechner's avatar Andreas Sturmlechner Committed by Alexey Min
Browse files

Make KF5Wayland optional behind existing DISABLE_PIPEWIRE



We have an option so let's be consistent.

Signed-off-by: Andreas Sturmlechner's avatarAndreas Sturmlechner <asturm@gentoo.org>
parent e2f3910f
Pipeline #154534 passed with stage
in 52 seconds
......@@ -38,7 +38,6 @@ find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
DocTools
Notifications
Wallet
Wayland
WidgetsAddons
WindowSystem
XmlGui
......@@ -90,6 +89,7 @@ add_feature_info(PipeWire PipeWire_FOUND "Required for pipewire screencast plugi
find_package(PlasmaWaylandProtocols 1.5.0)
if(PipeWire_FOUND AND PlasmaWaylandProtocols_FOUND)
find_package(KF5Wayland ${KF5_MIN_VERSION})
find_package(QtWaylandScanner REQUIRED)
find_package(Qt5WaylandClient)
find_package(Qt5XkbCommonSupport)
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment